import { NgModuleFactoryLoader, Injector, ComponentFactory, InjectionToken } from '@angular/core';
import { LazyComponentManifest } from './lazy-component.manifest';
export declare class Ng6LazyComponentService {
    private manifests;
    private loader;
    private injector;
    constructor(manifests: LazyComponentManifest[], loader: NgModuleFactoryLoader, injector: Injector);
    private factories;
    getComponentFactory<T>(componentId: string, injector?: Injector): Promise<ComponentFactory<T>>;
    loadComponents(componentIds: string[]): Promise<ComponentFactory<{}>[]>;
}
export declare const LAZY_COMPONENT: InjectionToken<any>;
